## bearer-qt-sample 0.1

=== Makefile ===
#############################################################################
# Makefile for building: build/bearer-qt-sample
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 14:37:08 2010
# Project:  qtprog.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MOBILITY_BEARER -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/arm-F-25-4/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/arm-F-25-4/usr/include/QtCore -I/targets/arm-F-25-4/usr/include/QtNetwork -I/targets/arm-F-25-4/usr/include/QtGui -I/targets/arm-F-25-4/usr/include -I/usr/include/QtBearer -I/targets/arm-F-25-4/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtBearer -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/netmanager.cpp \
		src/networkapplication.cpp build/moc_netmanager.cpp \
		build/moc_networkapplication.cpp
OBJECTS       = build/main.o \
		build/netmanager.o \
		build/networkapplication.o \
		build/moc_netmanager.o \
		build/moc_networkapplication.o
DIST          = /targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf \
		qtprog.pro
QMAKE_TARGET  = bearer-qt-sample
DESTDIR       = build/
TARGET        = build/bearer-qt-sample

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtprog.pro  /targets/arm-F-25-4/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix -o Makefile qtprog.pro
/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/unix.conf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/common/linux.conf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/qconfig.pri:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/debug.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/qt.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/moc.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/resources.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/uic.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/arm-F-25-4/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) build/bearer-qt-sample1.0.0 || $(MKDIR) build/bearer-qt-sample1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/bearer-qt-sample1.0.0/ && $(COPY_FILE) --parents src/netmanager.h src/networkapplication.h build/bearer-qt-sample1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/netmanager.cpp src/networkapplication.cpp build/bearer-qt-sample1.0.0/ && (cd `dirname build/bearer-qt-sample1.0.0` && $(TAR) bearer-qt-sample1.0.0.tar bearer-qt-sample1.0.0 && $(COMPRESS) bearer-qt-sample1.0.0.tar) && $(MOVE) `dirname build/bearer-qt-sample1.0.0`/bearer-qt-sample1.0.0.tar.gz . && $(DEL_FILE) -r build/bearer-qt-sample1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_netmanager.cpp build/moc_networkapplication.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_netmanager.cpp build/moc_networkapplication.cpp
build/moc_netmanager.cpp: src/netmanager.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/netmanager.h -o build/moc_netmanager.cpp

build/moc_networkapplication.cpp: src/networkapplication.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/networkapplication.h -o build/moc_networkapplication.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

build/main.o: src/main.cpp src/networkapplication.h \
		src/netmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o src/main.cpp

build/netmanager.o: src/netmanager.cpp src/netmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/netmanager.o src/netmanager.cpp

build/networkapplication.o: src/networkapplication.cpp src/networkapplication.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/networkapplication.o src/networkapplication.cpp

build/moc_netmanager.o: build/moc_netmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_netmanager.o build/moc_netmanager.cpp

build/moc_networkapplication.o: build/moc_networkapplication.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_networkapplication.o build/moc_networkapplication.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) "build/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/bearer-qt-sample.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/bearer-qt-sample.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/bearer-qt-sample.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/bearer-qt-sample.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_FILE) /home/divanov/qt-test-applications/bearer-qt-sample/data/48x48/bearer-qt-sample.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/bearer-qt-sample.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
