=== debian/changelog ===
bearer-qt-sample (0.1) unstable; urgency=low

  * Initial Release.

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Fri, 18 Jun 2010 17:58:19 +0300
