=== debian/control ===
Source: bearer-qt-sample
Section: user/network
Priority: extra
Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libgq-gconf-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: bearer-qt-sample
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 bearer-qt-sample/src/data/48x48/bearer-qt-sample.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oHFAsUIuWx8GEAAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAHpUlEQVRo3u2ZT6hcVx3HP995b14nj4SXGIKp
 nav4J2ShRmcWhs5dCWlBmrYIXShBioqg4Ea60FrdSItiraviQlBwoVjpRpKFtDGS4J1AkLmtXRgS
 aLF3bJUkmJD48jJv5n1dnHNnJtLMm8ybpy56Fu8O97xz7vn9+/6+v9+Bd8f/dmirG6SdurJm1+Pv
 WnlSAYQxMoBkbWTNwmmeVGwLiBMoa3QHaV5X1rh9n2lGZUuHz8PhW52kmub1Z9I8qQHItAV9iZ5Q
 D9M3fgrA9jVEH9RD3AD1W53kkazRdZonj6edpFHuve0CDDUmXgB9O2sUa2HG9wT9sgAsSAKoRo3X
 hEAsCO3AILwQhON+4EyaJwentUZlyy6UJ8cFnwVfLd9ZWjcORwLbRmIQvXYdDDaGXvg/lYctLHYa
 n0rz5PC2CJAG/ybt1JfTPDllfNQGW4NhYJlB0Lr6QD9oVxtxug9CsA7uC2G5jIdVYYTeB5xM8+SR
 uQuQNYqNVic5hHQR+LTCYQD2Di2A90V/rwLVMO9d8V14oqrQsjFYyyNQGbr+TuC3rbz+3UnnWZzR
 c64BXwKugytIC7J7Y/OP2eyRgvaRljAXw0+l4Cpig2CVGvBKFP2Xtl6V3LO1IXGPoDdX3E3zemUa
 F3un0Zo8V/2v5YFWp/5xSY8bX5W1gKgCN7JG8YMtAkLD9jHQdYVMsYS4mjWKZ+fqQkKfMjyhMZd1
 iMMtCYBJgScYQ4P4gWfnC6PiZjx1b0yoa1t1T8OqJBRyeJmwL809D9gOepFivjLW/OLMRoiY/zT/
 RCZUc/jSkso3sDIHYlazPcprwS33zg1G006irFnYuCt0EfF23KMGXJkyUBdKtRqMLdCg3Sxs8abQ
 BduXEUbaAX57vjDaqS9sBy1O82RplnWL03+g/h7QwaxRnE3z5AjwExhZwPaVdrP74BQHfRnYZbgF
 7mPtF3wtaxRn0jx5CPgecNH4n9FMbxh+1G52N+5agNJl0rxeA50ETgFnbd8n6QD2AaS7TSlHHPhO
 oHEYpPui03/A0MRqSooxoM+1m8XGXQdx4PqFW3myDDoONIC/x5C9FSlCr0QhxLUpEexmKawI64M1
 AGstwJrBDJAezprFCzOhUCww9gh+BxwJDDjiviJOlHA6fDEF0ijo3oFOj/IV0Rxhw3XE0axRnGh1
 kspMMdDq1A8DL9quq6wOiQkMdkSHGQ+8aWF0R7CAR+tFLepjZ3TGB7JGcRpgkvtMFEBwCDgP/BVx
 r6wPoZiuzDnEc4arClVX1eLGlFnqOxY1SX3DANhtyGNe7Bp9sTz8XMhc2klWECu29yPeaDe6l7YD
 RludRO1mYbZ7bIbX6QSfnUy169VpaPfUFkjz+rdAO4F1SlPbv2g3u69tRqdbnfpXJH0EWB35tk+0
 m93TrU79KUQNq488wOwG/bTdLC6kneRRxJ+yRvG3LScym+8HKDaSIoHTX4DXNqXT4kngg3iMNIQ/
 pwVPexjEKtV4DriA+AzmmTRPPpE1isGWinqN47rdi+XqzWnotKzLQ1iMp0e6EZ83NQRQ9xTE6EWl
 /QPxUdtn0k59Z4yNhZkE8LiTBY5eanlzOi0TOhVWhP6SWUb8V8wHkfiPVq7GXNEyOtnq1FfazcmW
 qEwIjpUxSZZCslVtOjqt3chDlhEYAcvxcDvKRDbMAybuG17bIDgs9Gorrx+clcy9HLn4Wuzt3Avu
 xiNtRqf/ILQKLt1qL+Z8/H0StAtxy7gP2g+8FS13XuiC8WUsAfsE3wC+Ok8YrW0HjKYTuhKtzp37
 pJqw6CVJe22vSepj3wt8PWt2X0o79QeRnr8TnW51kgUJDZEm8J5Bu9n1pIImzZOjwI+BS7HhuIx4
 K2sUD83iQg/EOB2Xtz72vCOdnhR4E+HRvB9xwHAgSAfCh2ariSOMRoToxVbBWsSctVnp9CZdibXh
 diqVpyuzolBp5DHoHGHOrHR6M1oQi/qQP+xxQL9rF1opaa/tkvbuKJ9boNOTLLB8Wy8l/N43G5WA
 JwU7EeuCAWi37XPRGuckzUanN2l+235u2FoMCro6bza6CYzW/z+au628fr/QkmEDe4OQhf/cbhaX
 Wp1kn8Qh7DVLFUHFdq/d7J6NTPaTtvaA+9EllmxfbDe7b6Z50gJXDRtCG7Zrkl7JGsWVVid5L+Jj
 kRvZpip5HZRljXeuFRYnOGR7jEmWYftl4OfCD4N+5vFgvz32XxR8+D+I1Q+Bb9rOJMYAAQzHgF8B
 jwk/b8faWYD1dNYs/jgLG70S8WUdtBrFiDVxeAa6wDpo+P/xVJciRVsH4n0Z1+Oa6/H2bN2wGhNW
 WWuveqTnDZsvZM1i5huaxfKaSCVg6nbUFF4EVWNLZLSXtRCDcHFMI5W4djFiWxWwxvcdjX8ZPt9u
 FsdnL2hgaQRoWooYXYlCVYa+Hd3L0tJoratC2FZwBWGXV6muDt0DluItZSVafVf84KNZo/j91gqa
 soViBsDNSKcH0QCDsrCJEDvuBki65fAcAINYC6zHubUoyAC4GS8JS3rxOvjYtIffxIW0L5QpClRM
 kuzYo/GvQb8B2THiNCqzMLQoFypIrtE160p5cxHvj5U1uoPIk05sf1eiUxfvjvmNfwPiXuOrvgRn
 cAAAAABJRU5ErkJggg==

Package: bearer-qt-sample-dbg
Section: text
Architecture: any
Depends: sample (= ${binary:Version})
Description: <insert up to 60 chars description> debug symbols
 <insert long description, indented with spaces> debug symbols
